@media (min-width: 1280px) {
    .main-collection #FiltersContainer {
        flex-basis: clamp(300px, 20vw, 390px);
    }
}

.main-collection #FiltersContainer .facets-form {
    padding-inline-end: 40px;
}

.main-collection :is(.facets-model-view, .facets-sorting) {
    margin-inline-start: auto;
}

.main-collection .facets-model-view~.facets-sorting {
    margin-inline-start: unset;
}

.lifestyle .product-card__model {
    opacity: 1;
    pointer-events: auto;
}

.main-collection>div.flex {
    row-gap: 60px;
}

@media (max-width:1024px) {
    .main-collection>div.flex {
        row-gap: 40px;
    }

}

@media (max-width:1024px) and (min-width:767px) {
    .main-collection__products .card-grid {
        --columns: var(--tablet-columns) !important;
    }

    .main-collection__products .promotion-card-item {
        grid-column: span var(--column-span-tablet);
        grid-row: span var(--row-span-tablet);
    }
}

@media (max-width: 767px) {
    .facets-sorting {
        order: -1;
        width: 100%;
    }

    .main-collection__products .card-grid {
        --mobile-columns-alt: var(--mobile-columns) !important;
    }

    /* .facets-sorting .facets-sorting__summary {
    justify-content: space-between;
  } */

    .main-collection>div.flex {
        row-gap: 30px;
    }
}

.facets-sorting theme-modal~.facets-form {
    margin-inline-start: calc(var(--button-border-thickness) * -1);
}

.facets-sorting .facets-filtering__modal-summary {
    background-color: rgb(var(--color-button-background)/ 0.045);
}

.main-collection__list {
    overflow: visible;
}

.main-collection__products:has(.pagination) .main-collection__list {
    padding-block-end: 40px;
}

@media (min-width: 960px) {
    .main-collection__products:has(.pagination) .main-collection__list {
        padding-block-end: 56px;
    }
}

/* promotion-card */
.promotion-card-item {
    grid-column: span var(--mobile-columns);
}

@media (min-width: 768px) {
    .promotion-card-item {
        grid-column: span min(var(--column-span), var(--columns));
        grid-row: span var(--row-span);
    }

    .promotion-card__content {
        position: static;
    }
}

.promotion-card {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.promotion-card * {
    color: var(--global-color-ash-hex) !important;
}

.promotion-card .media.background-media,
.promotion-card .media.background-media img {
    position: static;
}

.promotion-card .media.background-media::after {
    content: unset;
}

.promotion-card .v-button {
    padding: 0;
}
